%global		oname Parsley
Name:		python-parsley
Version:	1.2
Release:	1%{?dist}
Summary:	Parsing and pattern matching made easy
License:	MIT
URL:		https://launchpad.net/parsley
Source0:	https://pypi.python.org/packages/source/P/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel

%description
A parser generator library based on OMeta, and other useful parsing tools.
Parsley is a parsing library for people who find parsers scary or
annoying. I wrote it because I wanted to parse a programming language,
and tools like PLY or ANTLR or Bison were very hard to understand and
integrate into my Python code. Most parser generators are based on LL
or LR parsing algorithms that compile to big state machine
tables. It was like I had to wake up a different section of my brain
to understand or work on grammar rules.

Parsley, like pyparsing and ZestyParser, uses the PEG algorithm, so
each expression in the grammar rules works like a Python
expression. In particular, alternatives are evaluated in order, unlike
table-driven parsers such as yacc, bison or PLY.

Parsley is an implementation of OMeta, an object-oriented
pattern-matching language developed by Alessandro Warth at
thesis, which provides a detailed description of OMeta:
http://www.vpri.org/pdf/tr2008003_experimenting.pdf

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE NEWS README
%{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
%{python2_sitelib}/ometa/*
%{python2_sitelib}/parsley.*
%{python2_sitelib}/terml/*

%changelog
* Wed Jan 07 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.2-1
- Initial package for Fedora
